Skip to main content
`Ctrl`+`K`

# PetscRandomRegisterAll

Registers all of the implementations in the `PetscRandom` package.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscRandomRegisterAll(void)

Not Collective

## See Also

`PetscRandom`, `PetscRandomType`, `PetscRandomRegister()`, `PetscRandomRegisterDestroy()`

## Level

advanced

## Location

src/sys/classes/random/interface/randreg.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages